apt: debSrcRecordParser Class Reference

apt 3.3.0 commandline package manager

Public Member Functions | Protected Attributes | List of all members
debSrcRecordParser Class Reference
Inheritance diagram for debSrcRecordParser:

## Public Member Functions
bool | Restart () override
bool | Step () override
bool | Jump (unsigned long const &Off) override
std::string | Package () const override
std::string | Version () const override
std::string | Maintainer () const override
std::string | Section () const override
const char ** | Binaries () override
bool | BuildDepends (std::vector< BuildDepRec > &BuildDeps, bool const &ArchOnly, bool const &StripMultiArch=true) override
unsigned long | Offset () override
std::string | AsStr () override
bool | Files (std::vector< pkgSrcRecords::File > &F) override
| debSrcRecordParser (std::string const &File, pkgIndexFile const *Index)
Public Member Functions inherited from pkgSrcRecords::Parser
const pkgIndexFile & | Index () const
| Parser (const pkgIndexFile *Index)

## Protected Attributes
FileFd | Fd
pkgTagFile | Tags
pkgTagSection | Sect
std::vector< const char * > | StaticBinList
unsigned long | iOffset
char * | Buffer
Protected Attributes inherited from pkgSrcRecords::Parser
const pkgIndexFile * | iIndex

## Additional Inherited Members
Public Types inherited from pkgSrcRecords::Parser
enum | BuildDep { BuildDepend =0x0 , BuildDependIndep =0x1 , BuildConflict =0x2 , BuildConflictIndep =0x3 , BuildDependArch =0x4 , BuildConflictArch =0x5 }
Static Public Member Functions inherited from pkgSrcRecords::Parser
static const char * | BuildDepType (unsigned char const &Type) APT_PURE

## Member Function Documentation

## ◆ AsStr()

std::string AsStr | ( |  | ) |
| inlineoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Binaries()

const char ** Binaries | ( |  | ) |
| overridevirtual

Implements pkgSrcRecords::Parser.

## ◆ BuildDepends()

bool BuildDepends | ( | std::vector< BuildDepRec > & | BuildDeps,
|  | bool const & | ArchOnly,
|  | bool const & | StripMultiArch = true )
| overridevirtual

Todo
  Add a parameter to specify which architecture to use for [wildcard] matching

Implements pkgSrcRecords::Parser.

References pkgCache::Dep::Or.

## ◆ Files()

bool Files | ( | std::vector< pkgSrcRecords::File > & | F | ) |
| overridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Jump()

bool Jump | ( | unsigned long const & | Off | ) |
| inlineoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Maintainer()

std::string Maintainer | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Offset()

unsigned long Offset | ( |  | ) |
| inlineoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Package()

std::string Package | ( |  | ) | const
| nodiscardoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Restart()

bool Restart | ( |  | ) |
| inlineoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Section()

std::string Section | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Step()

bool Step | ( |  | ) |
| inlineoverridevirtual

Implements pkgSrcRecords::Parser.

## ◆ Version()

std::string Version | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements pkgSrcRecords::Parser.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debsrcrecords.h
- apt-pkg/deb/debsrcrecords.cc